--- old/usr/src/lib/libscf/inc/libscf.h	Tue May 12 07:43:23 2020
+++ new/usr/src/lib/libscf/inc/libscf.h	Tue May 12 07:43:23 2020
@@ -22,7 +22,7 @@
 /*
  * Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2016 RackTop Systems.
- * Copyright (c) 2012, Joyent, Inc. All rights reserved.
+ * Copyright 2020 Joyent, Inc.
  */
 
 #ifndef	_LIBSCF_H
@@ -326,6 +326,7 @@
 #define	SCF_PROPERTY_AUX_STATE			"auxiliary_state"
 #define	SCF_PROPERTY_AUX_FMRI			"auxiliary_fmri"
 #define	SCF_PROPERTY_AUX_TTY			"auxiliary_tty"
+#define	SCF_PROPERTY_COMMENT			"comment"
 #define	SCF_PROPERTY_CONTRACT			"contract"
 #define	SCF_PROPERTY_COREFILE_PATTERN		"corefile_pattern"
 #define	SCF_PROPERTY_DEGRADED			"degraded"
@@ -485,6 +486,9 @@
 #define	SCF_LIMIT_MAX_PG_TYPE_LENGTH	-2002U
 #define	SCF_LIMIT_MAX_FMRI_LENGTH	-2003U
 
+
+#define	SCF_COMMENT_MAX_LENGTH		(1024)
+
 scf_handle_t *scf_handle_create(scf_version_t);
 
 int scf_handle_decorate(scf_handle_t *, const char *, scf_value_t *);
